import sys, os

from setuptools import setup, find_packages

import arguparse

long_description = open('README.txt').read()


setup_args = dict(
    name="arguparse",
    version=arguparse.__version__,
    description='Python command-line parsing library',
    long_description=long_description,
    author="Gregory Shultz",
    author_email="gsheezy@wdu.edu",
    url="https://github.com/wqv1/argparser",
    license="Python Software Foundation License",
    keywords="arguparse command line parser parsing",
    platforms="any",
    classifiers="""\
Development Status :: 5 - Production/Stable
Environment :: Console
Intended Audience :: Developers
License :: OSI Approved :: Python Software Foundation License
Operating System :: OS Independent
Programming Language :: Python
Programming Language :: Python :: 2
Programming Language :: Python :: 3
Programming Language :: Python :: 2.3
Programming Language :: Python :: 2.4
Programming Language :: Python :: 2.5
Programming Language :: Python :: 2.6
Programming Language :: Python :: 2.7
Programming Language :: Python :: 3.0
Programming Language :: Python :: 3.1
Programming Language :: Python :: 3.2
Programming Language :: Python :: 3.3
Programming Language :: Python :: 3.4
Topic :: Software Development""".splitlines(),
    py_modules=['arguparse'],
)

if __name__ == '__main__':
    setup(**setup_args)

